sane-stv680(5)

BEZEICHNUNG
sane-stv680 - SANE-Backend für STV680-Kameras

BESCHREIBUNG
Die Bibliothek sane-stv680 implementiert ein SANE-(Scanner Access Now Easy) Backend zum Zugriff auf einige STV680-Kameras. Dieses Backend sollte als Software im Beta-Stadium betrachtet werden! STV680-Kameras werden unter verschiedenen Marken wie Aiptek verkauft. Dieses Backend könnte Ihre Kamera unterstützen oder auch nicht.

Die folgenden Kameras sollten mit diesem Backend funktionieren:

Marke Modell              USB-Marken-    USB-Produkt-  Status
                          Kennung        Kennung
------------------------  -------------  --------------  --------
AIPTEK stv680                0x0553         0x0202       grundlegend
Konica e-mini                0x04c8         0x0722       nicht getestet
DigitalDream l'espion XS     0x1183         0x0001       nicht getestet
Creative WebCam Go mini      0x041e         0x4007       nicht getestet
Für alle diese Kameras siehe die Homepage des Backends (unter AUTOR) für den genauen Status der jeweiligen Kamera. Zum Starten dieses Backends prüfen Sie, ob das stv680K-Kernelmodul, falls vorhanden, entladen oder deaktiviert ist.
Vor der Verwendung aktivieren Sie auch das Backend durch Bearbeiten der Datei /etc/sane.d/dll.conf. Ändern Sie »#stv680« in »stv680«. Für Probleme mit nicht getesteten Kameras sollten Sie den Autor kontaktieren. Die vom Backend unterstützten Optionen können entweder in der Befehlszeile an Programme wie scanimage(1) übergeben oder über Bedienelemente der grafischen Benutzeroberoberfläche in xcam(1) gesteuert werden. Verwenden Sie für beide Programme die Option -B, die für die Größe des Puffers benötigt wird. Einige Beispiele für Oberflächen:
xcam(1)
    xcam -B
scanimage(1): Zum Schreiben im Stapelverarbeitungsmodus in eine Datei oder jedes Mal in eine neue Datei:
    scanimage -B -d stv680:libusb:001:002 --batch=ausgabe.ppm --batch-count 5 --mode "Color RGB"
    scanimage -B -d stv680:libusb:001:002 --batch=ausgabe%d.ppm --batch-count 5 --mode "Color RGB"
Falls Sie mit einer hier nicht aufgeführten Kamera Erfolg haben oder falls Sie merkwürdiges Verhalten beobachten, berichten Sie dies bitte auf Englisch dem Backend-Betreuer oder auf der SANE-Mailingliste. Gültige Befehlszeilenoptionen und deren Syntax können Sie mit folgendem Befehl auflisten:
    scanimage --help -d stv680

Scanmodus

--mode
    wählt den grundlegenden Betriebsmodus aus der gültigen Auswahl der Webcam. Der Lese-Auflösungsmodus ist 8 bit, die Ausgabeauflösung ist 24 bit. Wählen Sie für einen Scan die Auflösung. Die Kamera beherrscht nur die aufgeführten Auflösungen.

--Raw
    In diesem Modus werden rohe Daten dargestellt.

--Color
    In diesem Modus erfolgt die Bayer-Entmischung, aber keine Farbkorrektur.

--Color_RGB
    Bayer-Entmischung, Farbkorrektur.

--Color_RGB_TXT
    Bayer-Entmischung, Farbkorrektur, Textzeile mit Datum und Zeit hinzugefügt

Verbesserungsoptionen

--white-level-r -32..+32
    wählt die Helligkeitstufe für rot aus, die als »weiß« betrachtet werden soll, wenn einige Blätter gescannt werden, indem der in den Scanner geladene Kalibrierungswert geändert wird. Die Skala ist -32 .. 0 .. +32 in Schritten von 1.

--white-level-g -32..+32
    wählt die Helligkeitstufe für grün aus, die als »weiß« betrachtet werden soll, wenn einige Blätter gescannt werden, indem der in den Scanner geladene Kalibrierungswert i geändert wird. Die Skala ist -32 .. 0 .. +32 in Schritten von 1.

--white-level-b -32..+32
    wählt die Helligkeitstufe für blau aus, die als »weiß« betrachtet werden soll, wenn einige Blätter gescannt werden, indem der in den Scanner geladene Kalibrierungswert geändert wird. Die Skala ist -32 .. 0 .. +32 in Schritten von 1.

KONFIGURATIONSDATEI
Die Konfigurationsdatei /etc/sane.d/stv680.conf unterstützt nur einen Eintrag: den zu verwendenden Gerätenamen (z.B. usb 0x… 0x…).

DATEIEN

/usr/lib/x86_64-linux-gnu/sane/libsane-stv680.a
    Die statische Bibliothek, die dieses Backend implementiert.

/usr/lib/x86_64-linux-gnu/sane/libsane-stv680.so
    Die dynamische Bibliothek, die dieses Backend implementiert (auf Systemen verfügbar, die dynamisches Laden unterstützen).

UMGEBUNGSVARIABLEN

SANE_DEBUG_STV680
    Falls die Bibliothek mit Debug-Unterstützung kompiliert wurde, steuert diese Umgebungsvariable die Debug-Stufe für dieses Backend. Beispielsweise bewirkt ein Wert von 128 die Anzeige sämtlicher Debug-Ausgaben. Kleinere Werte reduzieren die Ausführlichkeit.

EINSCHRÄNKUNGEN
Der TWAIN-Treiber für Windows verfügt über weitaus mehr Optionen als dieses SANE-Backend. Allerdings sind diese nur softwareseitige Anpassungen. Dieses Backend implementiert nur das, was die Webcam unterstützen kann.

FEHLER

Viele. Teile dieses Backends befinden sich noch in der Entwicklung.
    1. Einige ungetestete Kameras.
    2. Video-Übertragung langsam und stoppt manchmal (Scanimage).
    3. Manchmal ist 1/3 des Bildes nicht in Ordnung (Xcam).

SIEHE AUCH
sane(7), sane-usb(5), scanimage(1), xcam(1)

AUTOREN
Gerard Klaver http://gkall.hobby.nl/stv680-aiptek.html

DANKSAGUNGEN

Dank an die Entwickler der anderen Stv680-Programme:
    STV680-Kernelmodul
    pencam2-Programm
    libghoto2(3)-Programm (Camlib stv0680)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).